# acme.dns.authenticator.query

Type: object

##

Type: array
No Additional Items

#### Tuple Validation

##### Parameter 1: filters

#### filters

Type: array Default: []
No Additional Items

##### Each item of this array must be:

Type: object

##### Parameter 2: options

#### options

Type: object
Default:
{ "relationships": true, "extend": null, "extend_context": null, "prefix": null, "extra": {}, "order_by": [], "select": [], "count": false, "get": false, "offset": 0, "limit": 0, "force_sql_filters": false }
No Additional Properties

##

#### Relationships

Type: boolean Default: true

##

#### Extend

Default: null

## Any of

Type: string
Type: null

##

#### Extend Context

Default: null

## Any of

Type: string
Type: null

##

#### Prefix

Default: null

## Any of

Type: string
Type: null

##

#### Extra

Type: object Default: {}

##

#### Order By

Type: array of string Default: []
No Additional Items

##### Each item of this array must be:

Type: string

##

#### Select

Type: array Default: []
No Additional Items

##### Each item of this array must be:

## Any of

Type: string
Type: array
No Additional Items

##### Each item of this array must be:

Type: object

##

#### Count

Type: boolean Default: false

##

#### Get

Type: boolean Default: false

##

#### Offset

Type: integer Default: 0

##

#### Limit

Type: integer Default: 0

##

#### Force Sql Filters

Type: boolean Default: false

##

#### Result

## Any of

Type: array of object
No Additional Items

##### Each item of this array must be:

#### DNSAuthenticatorQueryResultItem

Type: object
No Additional Properties

##

#### Id

Type: integer

##

#### Attributes

## One of

#### CloudFlareSchema

Type: object
No Additional Properties

##

#### Authenticator

Type: const
Specific value: `"cloudflare"`

##

#### Cloudflare Email

Default: null

Cloudflare Email

## Any of

Type: string

Must be at least `1` characters long

Type: null

##

#### Api Key

Default: null

API Key

## Any of

Type: string

Must be at least `1` characters long

Type: null

##

#### Api Token

Default: null

API Token

## Any of

Type: string

Must be at least `1` characters long

Type: null

#### DigitalOceanSchema

Type: object
No Additional Properties

##

#### Authenticator

Type: const
Specific value: `"digitalocean"`

##

#### Digitalocean Token

Type: string

DigitalOcean Token

Must be at least `1` characters long

#### OVHSchema

Type: object
No Additional Properties

##

#### Authenticator

Type: const
Specific value: `"OVH"`

##

#### Application Key

Type: string Default: "\\"

OVH Application Key

Must be at least `1` characters long

##

#### Application Secret

Type: string Default: "\\"

OVH Application Secret

Must be at least `1` characters long

##

#### Consumer Key

Type: string Default: "\\"

OVH Consumer Key

Must be at least `1` characters long

##

#### Endpoint

Type: enum (of string)

OVH Endpoint

##### Must be one of:

- "ovh-eu"
- "ovh-ca"
- "ovh-us"
- "kimsufi-eu"
- "kimsufi-ca"
- "soyoustart-eu"
- "soyoustart-ca"

#### Route53Schema

Type: object
No Additional Properties

##

#### Authenticator

Type: const
Specific value: `"route53"`

##

#### Access Key Id

Type: string Default: "\\"

AWS Access Key ID

Must be at least `1` characters long

##

#### Secret Access Key

Type: string Default: "\\"

AWS Secret Access Key

Must be at least `1` characters long

#### ShellSchema

Type: object
No Additional Properties

##

#### Authenticator

Type: const
Specific value: `"shell"`

##

#### Script

Type: string Format: file-path

Authentication Script

##

#### User

Type: string Default: "nobody"

Running user

Must be at least `1` characters long

##

#### Timeout

Type: integer Default: 60

Script Timeout

Value must be greater or equal to `5`

##

#### Delay

Type: integer Default: 60

Propagation delay

Value must be greater or equal to `10`

##

#### Name

Type: string

#### DNSAuthenticatorQueryResultItem

Type: object
No Additional Properties

##

#### Id

Type: integer

##

#### Attributes

## One of

Type: object
Type: object
Type: object
Type: object
Type: object

##

#### Name

Type: string
Type: integer

Required roles: NETWORK_INTERFACE_READ